| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ISequencerTimerTool Class Reference

`#include <ISequencerTimerTool.h>`

Inheritance diagram for ISequencerTimerTool:

[legend]
Collaboration diagram for ISequencerTimerTool:

[legend]
List of all members.

## Detailed Description

Implements the time measurement inside a sequencer.

Author:
  Olivier Callot

Date:
  2004-05-19

Definition at line 18 of file ISequencerTimerTool.h.

## Public Member Functions
virtual int | addTimer (std::string name)=0
| add a timer entry with the specified name
virtual void | increaseIndent ()=0
| Increase the indentation of the name.
virtual void | decreaseIndent ()=0
| Decrease the indentation fo the name.
virtual void | start (int index)=0
| start the counter, i.e.
virtual double | stop (int index)=0
| stop the counter, return the elapsed time
virtual std::string | name (int index)=0
| returns the name of the counter
virtual double | lastTime (int index)=0
| returns the last measured time time
virtual int | indexByName (std::string name)=0
| returns the index of the counter with that name, or -1
virtual bool | globalTiming ()=0
| returns the flag telling that global timing is wanted
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Function Documentation

static const InterfaceID& ISequencerTimerTool::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IAlgTool.

Definition at line 21 of file ISequencerTimerTool.h.

References IID_ISequencerTimerTool.

    00021 { return IID_ISequencerTimerTool; }

virtual int ISequencerTimerTool::addTimer | ( | std::string | name | ) | `[pure virtual]`

add a timer entry with the specified name

Implemented in SequencerTimerTool.

Referenced by TimingAuditor::before(), TimingAuditor::i_beforeExecute(), TimingAuditor::i_beforeInitialize(), GaudiSequencer::initialize(), and TimingAuditor::initialize().

virtual void ISequencerTimerTool::increaseIndent | ( |  | ) | `[pure virtual]`

Increase the indentation of the name.

Implemented in SequencerTimerTool.

Referenced by GaudiSequencer::initialize().

virtual void ISequencerTimerTool::decreaseIndent | ( |  | ) | `[pure virtual]`

Decrease the indentation fo the name.

Implemented in SequencerTimerTool.

Referenced by GaudiSequencer::initialize().

virtual void ISequencerTimerTool::start | ( | int | index | ) | `[pure virtual]`

start the counter, i.e.

register the current time

Implemented in SequencerTimerTool.

Referenced by TimingAuditor::before(), GaudiSequencer::execute(), TimingAuditor::i_beforeExecute(), and TimingAuditor::i_beforeInitialize().

virtual double ISequencerTimerTool::stop | ( | int | index | ) | `[pure virtual]`

stop the counter, return the elapsed time

Implemented in SequencerTimerTool.

Referenced by TimingAuditor::after(), GaudiSequencer::execute(), and TimingAuditor::i_afterExecute().

virtual std::string ISequencerTimerTool::name | ( | int | index | ) | `[pure virtual]`

returns the name of the counter

Implemented in SequencerTimerTool.

virtual double ISequencerTimerTool::lastTime | ( | int | index | ) | `[pure virtual]`

returns the last measured time time

Implemented in SequencerTimerTool.

virtual int ISequencerTimerTool::indexByName | ( | std::string | name | ) | `[pure virtual]`

returns the index of the counter with that name, or -1

Implemented in SequencerTimerTool.

virtual bool ISequencerTimerTool::globalTiming | ( |  | ) | `[pure virtual]`

returns the flag telling that global timing is wanted

Implemented in SequencerTimerTool.

Referenced by GaudiSequencer::initialize().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAlg/v11r1/GaudiAlg/ISequencerTimerTool.h